<template>
  <div class="stats" data-testid="stats">
    <div class="label" data-testid="stats-title">{{ title }}</div>
    <div class="stats-group">
      <div v-for="stat in statItems" :key="stat.label" class="stat">
        <div class="stat-value" :data-testid="stat.value">{{ stat.value }}</div>
        <div class="stat-label" :data-testid="stat.label">{{ stat.label }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SaStats',
  props: {
    /** Title of stats box */
    title: {
      type: String,
      required: true
    },
    /** Stats to display as an object of `label: "stat"` pairs */
    stats: {
      type: Object,
      default: () => ({})
    }
  },
  computed: {
    statItems() {
      return Object.entries(this.stats).map(([label, value]) => ({
        label,
        value
      }))
    }
  }
}
</script>

<style lang="scss" scoped>
.stats {
  border-top: border(grey-light);
  border-bottom: border(grey-light);
  padding: spacing(2) 0;
}
.stats-group {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.stat {
  flex: 1 0 auto;
  padding-right: spacing(2);
  margin-top: spacing(1);
}
.stat-value {
  font-size: font-size(2);
}
.stat-label {
  font-size: font-size(0);
}
</style>
